Subject: bug#49995: 28.0.50; EBDB Anniversaries do not appear marked in calendar

From: Michael Heerdegen <[email-masked]>
Date: Sat, 14 Aug 2021 17:20:56 +0200

Eric Abrahamsen <[email-masked]> writes:

> Oof, EBDB's diary integration was "write once and back away slowly"
> code. I'm trying to understand diary-lib.el. So far as I can see, when
> you add diary entries to `diary-entry-list' [...]

Suggestion: provide a new diary-sexp function, similar to
`diary-lunar-phases'.  Then marking would be handled by the diary.

That function just has to return nil or a string (or a mark and a
string) depending on the dynamical variable DATE.  That's already the
whole diary related part.  People then have to add that function as sexp
entry to their diary if they want.

Michael.